# trade equipment project
# Spec file for building rpm and rpms under ALT
# $Id: libqt3-qdataschema.spec,v 1.9 2007/02/21 06:00:39 leader Exp $
# $Name:  $
#

%define ShortName qdataschema
%define _qtdir %(echo $QTDIR)

Name: libqt3-qdataschema
Version: 1.0.0
Release: alt0.cvs20070221

Summary: QT Data schema library

License: GPL
Group: Office
Url: http://www.leaderit.ru/
Vendor:	Leader InfoTech
Source:		%name-%version.tar.bz2

Requires:	qt3 >= 3.2


BuildRequires:       gcc-c++ libstdc++-devel
BuildRequires:       libqt3-devel doxygen tetex-latex tetex-dvips

%description
QT Data Schema library
Provide Application to database server 
structure verification and syncronysation.
Support MySQL, PostgreSQL, SQLite.

Developers
---------------
Valery Grazhdankin <vg at leaderit dot ru>

#==============================================================
%package -n libqt3-qdataschema-devel
Summary: QT Data Schema library

Group: Office
Requires:	qt3 >= 3.2

%description -n libqt3-qdataschema-devel
QT Data Schema library headers
Provide Application to database server 
structure verification and syncronysation.
Support MySQL, PostgreSQL, SQLite.

Developers
---------------
Valery Grazhdankin <vg at leaderit dot ru>

#==============================================================
%package -n libqt3-qdataschema-doc
Summary: QT Data Schema library documentation

Group: Office
Requires:	qt3 >= 3.2

%description -n libqt3-qdataschema-doc
QT Data Schema library documentation
QT Data Schema library
Provide Application to database server 
structure verification and syncronysation.
Support MySQL, PostgreSQL, SQLite.

Developers
---------------
Valery Grazhdankin <vg at leaderit dot ru>

%prep
%setup

%build
#export QTDIR=/usr/lib/qt3
export PATH=${PATH}:$QTDIR/bin
%make

%install
#export QTDIR=/usr/lib/qt3
export PATH=${PATH}:$QTDIR/bin
make doc && make install INSTALL_ROOT="$RPM_BUILD_ROOT" LIBDIR=%_libdir BINDIR=%_bindir DOCDIR=%_docdir/%name-%version INCLUDEDIR=%_includedir/%name
%__mkdir_p %buildroot/%_bindir
%__mkdir_p %buildroot/$QTDIR/lib
%__mkdir_p %buildroot/$QTDIR/include/%ShortName
%__mkdir_p %buildroot/%_docdir/%name-%version/html
%__mkdir_p %buildroot/%_docdir/%name-%version/html-ru
%__mkdir_p %buildroot/%_docdir/%name-%version/example

cp -df %_builddir/%name-%version/lib/* %buildroot/$QTDIR/lib/
cp -df %_builddir/%name-%version/bin/* %buildroot%_bindir/
cp -f %_builddir/%name-%version/src/lib/*.h %buildroot/$QTDIR/include/%ShortName
cp -f %_builddir/%name-%version/doc/html/* %buildroot%_docdir/%name-%version/html/
cp -f %_builddir/%name-%version/doc/html-ru/* %buildroot%_docdir/%name-%version/html-ru/
cp -Rdf %_builddir/%name-%version/src/example/* %buildroot%_docdir/%name-%version/example/
#cp -f %_builddir/%name-%version/doc/q* %buildroot%_docdir/%name-%version

%post

%postun

rmdir --ignore-fail-on-non-empty %_sysconfdir/%name
rmdir --ignore-fail-on-non-empty %_datadir/%name

%clean

%files
%_libdir/qt3/lib/*
%_bindir/*

%files -n libqt3-qdataschema-doc
%_docdir/%name-%version/*

%files -n libqt3-qdataschema-devel
%_libdir/qt3/include/%ShortName/*.h

%changelog
* Wed Feb 21 2007 Valery Grazdankin <leader@altlinux.ru> 1.0.0-alt0.cvs20070221
  - Automatic generated cvs build

* Sat Mar 19 2005 Valery Grazdankin <leader@altlinux.ru> 1.0.0-alt0
  + init
